Booklinker.API

<back to all web services

GetCollectionSettingsRequest

Requires Authentication
GetCollectionSettingsRequest Parameters:
NameParameterData TypeRequiredDescription
IdquerystringNo
V2BaseResponse Parameters:
NameParameterData TypeRequiredDescription
ResponseStatusformResponseStatusNo
V2PaginatedBaseResponse Parameters:
NameParameterData TypeRequiredDescription
PageformV2PageObjectNo
V2PageObject Parameters:
NameParameterData TypeRequiredDescription
OffsetformintNo
LimitformintNo
TotalRecordsformintNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /csv/reply/GetCollectionSettingsRequest HTTP/1.1 
Host: api.booklinker.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"id":"String","responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"page":{"offset":0,"limit":0,"totalRecords":0},"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}